<?php
  require_once($_SERVER['DOCUMENT_ROOT'].'jformer.php');
  require_once($_SERVER['DOCUMENT_ROOT'].'db.php');
  
  session_start();    
  
  if ( (!isset($_SESSION['uid'])) || ($_SESSION['uid'] == "") )
  {
      error_log("ERROR: STEP 5 wurde mit folgender UID aufgerufen:>".$_SESSION['uid']."<");
      header('Location: index.php');
  }
    
  if($_SERVER['SERVER_PORT'] == 443)
  {
     $domain = 'https://' . $_SERVER["HTTP_HOST"] . '/checkIBAN.php';
  }
  else
  {
     $domain = 'http://' . $_SERVER["HTTP_HOST"] . '/checkIBAN.php'; 
  }
  
  $uid = $_SESSION['uid'];
  $mydb = new DB_MySQL();
  $mydb->query("SELECT * FROM `AnmeldungZeltwunsch` WHERE `uid` = '$uid' ");
  $row = $mydb->fetchRow();
  
  $Form = new JFormer('AdressForm',  array('submitButtonText' => '-> Dateneingabe abschlie&szlig;en'));

  $Form->addJFormComponentArray(array(       
       
        new JFormComponentHtml('<p><b>Bankverbindung, Lagerbeitrag, Namensaufkleber</b></p>'),
       
        new JFormComponentSingleLineText('kontoinhaberlagerteilnehmer', 'Kontoinhaber:', array(
            'validationOptions' => array('required',)
        )),
        
        new JFormComponentSingleLineText('iban', 'IBAN:', array(
            'validationOptions' => array('required',
                'serverSide' => array(
                'url' => $domain ,
                'task' => 'checkUsernameAvailability',
                ),
             ),
            'width' => 'mediumLong',
            'maxLength' => '27',
            'tip' => 'Bitte die IBAN eingeben!',
            'triggerFunction' => 'UpdateBankdaten();',
        )),
       
        new JFormComponentSingleLineText('bic', 'BIC:', array(
            'width' => 'mediumShort',
            'maxLength' => '11',
            'validationOptions' => array('required','minLength' => 8),
            'tip' => 'Bitte den BIC/Swift eingeben!',
        )),
        
       new JFormComponentSingleLineText('bankname', 'Bankname: (Infofeld)', array(
            'width' => 'long',
            'disabled' => true,
            'initialValue' => '..wird automatisch ausgefüllt',
        )),

        new JFormComponentMultipleChoice('nachlasslagerteilnehmer', '',
            array(
                array('value' => '1', 'label' => 'Ich bitte um einen Beitragsnachlass von 70€'),
                array('value' => '2', 'label' => 'Ich gew&auml;hre eine Spende', 'tip' => '<p>Um unser Zeltlager für Kinder und Jugendliche weiterhin preislich reduziert bzw. überhaupt ermöglichen zu können, freuen wir uns über Ihre Spenden.</p>',),
	        ),
	        array(
            'validationOptions' => array('maxOptions' => 1),
            
        )),
        
        
        new JFormComponentSingleLineText('spendelagerteilnehmer', 'Spendenbetrag', array(
            'tip' => '<p>Spendenquittung wird automatisch zugesendet!</p>',
            'validationOptions' => array('required'),
            'dependencyOptions' => array(
                                    'dependentOn' => 'nachlasslagerteilnehmer',
            				        'display' => 'hide',
        					        'jsFunction' => '$("#nachlasslagerteilnehmer-choice2").is(":checked")',
        				             ),
        )),
 
    ));
     
    
     $Form->addJFormComponentArray(array(  
     
      new JFormComponentMultipleChoice('kaufladenprepayoption', '',
        array(
            array(
                'value' => '1', 
                'label' => 'Ich möchte das Kaufladen-PrePay verwenden (Geld schon im vorfeld Einzahlen)',
                'tip' => 'Das Geld wird direkt dem Kaufladenkonto gutgeschrieben und muss nicht mehr im Lager eingezahlt werden.'
                ),
        ),
        array(
        'validationOptions' => array('maxOptions' => 1),
      )),
    
      new JFormComponentSingleLineText('kaufladenprepay', 'Kaufladen-PrePay Betrag', array(
        'tip' => '<p>Geld wird direkt auf das Kaufladenkonto gutgeschrieben</p>',
        'validationOptions' => array('required'),
        'dependencyOptions' => array(
                                'dependentOn' => 'kaufladenprepayoption',
        				                'display' => 'hide',
    					                   'jsFunction' => '$("#kaufladenprepayoption-choice1").is(":checked")',
    				                    ),
      )),
    ));
    
   /* 
     $Form->addJFormComponentArray(array(  
     
      new JFormComponentMultipleChoice('aufkleberoption', '',
        array(
            array('value' => '1', 'label' => 'Ich möchte für 5€ einen DIN-A5 Namesaufkleberbogen bestellen.<a href="aufkleber.php"  target="_blank">Musterbogen</a>', 'tip' => 'Auf dem DIN-A5 Bogen gibt es mehrere Namensaufkleber in 3 verschiedenen Größen mit dem Name des Lagerteilnehmers. Der Bogen wird nach dem Anmeldeschluss per Post zugeschickt.'),
        ),
        array(
        'validationOptions' => array('maxOptions' => 1),
      )),
    ));
   */
    
     
    $Form->addJFormComponentArray(array(    
      new JFormComponentHtml('<div class="jFormComponentHTMLTextBorder">Wir buchen mit der Gl&auml;ubiger-ID: DE50ZZZ00001016793 ab.</div>'),     
    ));


  function onSubmit($formValues)
  {
    $uid = $_SESSION['uid'];
    
    $mydb = new DB_MySQL();
    $mydb->query("SELECT vorname, nachname FROM AnmeldungAdressen  WHERE uid='$uid'");
    $row = $mydb->fetchRow();
    $tl_vorname = $row['vorname'];
    $tl_nachname = $row['nachname'];

    
    $kontoinhaber= $formValues->kontoinhaberlagerteilnehmer;
    $iban = strtoupper(str_replace(' ','',$formValues->iban));
    
    $bic= strtoupper($formValues->bic);
    $mandatsref_beitrag = substr($tl_nachname, 0,1) . substr($tl_vorname, 0,1) . "-" . substr($uid, -5) . "-Lagerbeitrag";
    $mandatsref_spende ="";
        
    if ($formValues->nachlasslagerteilnehmer[0] == '1')
    {
        $nachlass= "1";
        $spende  = "0"; 
    }
    
    else if ($formValues->nachlasslagerteilnehmer[0] == '2')
    {
        $nachlass= "0"; 
        $spende= doubleval(str_replace(",",".", $formValues->spendelagerteilnehmer));   //Dezimalzahl immer mit Punkt als Trennzeichen
        $mandatsref_spende = substr($tl_nachname, 0, 1) . substr($tl_vorname,0, 1) . "-" . substr($uid, -5) . "-Spende";
    }
    else
    {
        $nachlass= "0"; 
        $spende  = "0"; 
    }
    
    if ($formValues->kaufladenprepayoption[0] == '1')
    {
        $prepay= doubleval(str_replace(",",".", $formValues->kaufladenprepay));   //Dezimalzahl immer mit Punkt als Trennzeichen
        $mandatsref_prepay = substr($tl_nachname, 0, 1) . substr($tl_vorname,0, 1) . "-" . substr($uid, -5) . "-KaufladenPrePay";
    }
    else
    {
      $prepay = "0";
    }
    
    if ($formValues->aufkleberoption[0] == '1')
    {
        $aufkleber= "1";
        $mandatsreferenz_aufkleber = substr($tl_nachname, 0, 1) . substr($tl_vorname,0, 1) . "-" . substr($uid, -5) . "-Namensaufkleber";
    }
    else
    {
        $aufkleber = "0";
        $mandatsreferenz_aufkleber = "";
        
    }
     
    if ($uid == "")
    {
        error_log("ERROR: SUBMIT bei STEP 5 wurde ohne UID aufgerufen");
        $_SESSION['step'] = "0"; 
    }
    else
    {
        $_SESSION['step'] = "10";
        //DB-Eintrag
        $mydb->query("UPDATE AnmeldungStatus SET step = '5' WHERE uid='$uid' AND step < '10' ");
        $mydb->query("INSERT INTO AnmeldungBankdaten (uid, kontoinhaber, iban, bic, spende, nachlass, mandatsreferenz_beitrag, mandatsreferenz_spende, kaufladen, mandatsreferenz_prepay, aufkleber, mandatsreferenz_aufkleber) VALUES ('$uid', '$kontoinhaber', '$iban', '$bic', '$spende' , '$nachlass', '$mandatsref_beitrag' , '$mandatsref_spende', '$prepay' , '$mandatsref_prepay','$aufkleber','$mandatsreferenz_aufkleber') ON DUPLICATE KEY UPDATE kontoinhaber = '$kontoinhaber',  iban='$iban', bic='$bic', spende='$spende', nachlass='$nachlass', mandatsreferenz_beitrag='$mandatsref_beitrag' ,mandatsreferenz_spende='$mandatsref_spende', kaufladen='$prepay', mandatsreferenz_prepay='$mandatsref_prepay', aufkleber = '$aufkleber', mandatsreferenz_aufkleber = '$mandatsreferenz_aufkleber' ");
        
        $mydb->disconnect(); 
    }
    
    $response = array('redirect' => 'index.php');
    return $response;
  }

  // Process any request to the form
  $Form->processRequest();

?>
